
Figure - Bug #117518
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【控制中心】【VX1】反复息屏亮屏进入控制中心，控制中心内容显示慢
2023-04-14 17:52 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date: 2023-05-17

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304140602

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Free Test Root cause:

Description

【测试步骤】

反复息屏亮屏进入控制中心（反正操作5次左右）

【预期结果】

正确显示控制中心

【测试结果】

控制中心内容显示慢

History

#1 - 2023-04-14 18:32 - 物联网测试组_CDTS  唐霞 

- File 414-aaaa.log added

- File 息屏点亮后控制中心显示慢.mp4 added

#2 - 2023-04-18 21:21 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

■ 当前的状态

日志中无有效信息

■ 下一步解析计划

尝试复现抓取trace

#3 - 2023-04-19 15:28 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#4 - 2023-04-24 19:20 - CD FW-廖涛

■ Current conclusion

无法复现，准备加入一些日志。

■ Next action

在关键位置加入日志，然后找场景复现再分析。
#5 - 2023-04-26 18:29 - CD FW-廖涛

■ Current conclusion

正在分析并添加日志中...

#6 - 2023-04-28 18:17 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

196845 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:QuickSettings: Add log for QSPanel display slow problem.TC-RID: 1201-0201903IssueID: TS-R-BUG-117518Change-Id:

I7a831b198b6dc66d498252bda0579962758b4ee1

#7 - 2023-04-28 18:19 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- Need_Info changed from -- to TEST

■ Current conclusion

已在 SystemUI QuickSettings View 关键位置增加日志。麻烦测试继续跟踪下，若问题再次出现，麻烦把出现前后及过程中的日志贴上来。

■ Next action

测试跟踪。

#8 - 2023-05-05 19:25 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103

#9 - 2023-05-09 18:27 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103

#10 - 2023-05-11 19:16 - 物联网测试组_CDTS  唐霞 

验证30次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103

#11 - 2023-05-12 15:38 - 物联网测试组_CDTS  唐霞 

- File 0512-34log.txt added

- File anr.rar added

- Status changed from NEED_INFO to ASSIGNED
- Assignee changed from 物联网测试组_CDTS  唐霞  to CD FW-廖涛

息屏状态下 收到微信语音电话 会自动唤醒桌面，点击控制中心可以复现该问题

出现问题后多次下拉进入控制中心会概率出现系统界面无响应

复现版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103

#12 - 2023-05-15 09:58 - CD FW-廖涛

- Due date set to 2023-05-17

#13 - 2023-05-15 19:02 - CD FW-廖涛

■ My analysis

复现路径：在息屏状态下，拨打微信电话，然后设备自动亮屏并弹出微信，接听后，下拉打开控制中心。

通过上面的操作后，音频模块出现 Crash（日志如下），目前猜测是没有连接中控发生的问题。

05-12 20:25:56.361  7615  7615 F DEBUG   : * 

05-12 20:25:56.361  7615  7615 F DEBUG   : Build fingerprint:

'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/eng.thunde.20230512.194034:userdebug/test-keys'

05-12 20:25:56.362  7615  7615 F DEBUG   : Revision: '0'

05-12 20:25:56.362  7615  7615 F DEBUG   : ABI: 'arm'

05-12 20:25:56.362  7615  7615 F DEBUG   : Timestamp: 2023-05-12 20:25:56.103747468+0800

05-12 20:25:56.362  7615  7615 F DEBUG   : Process uptime: 0s

05-12 20:25:56.362  7615  7615 F DEBUG   : Cmdline: /vendor/bin/hw/android.hardware.audio.service

05-12 20:25:56.362  7615  7615 F DEBUG   : pid: 7113, tid: 7113, name: audio.service  >>> /vendor/bin/hw/android.hardware.audio.service <<<

05-12 20:25:56.362  7615  7615 F DEBUG   : uid: 1041

05-12 20:25:56.362  7615  7615 F DEBUG   : signal 35 (<debuggerd signal>), code 1 (SI_QUEUE from pid 7115, uid 1041), fault addr -------

05-12 20:25:56.362  7615  7615 F DEBUG   :     r0  00000004  r1  c0306201  r2  ffd87a98  r3  ffd879ec

05-12 20:25:56.362  7615  7615 F DEBUG   :     r4  3642fea6  r5  f011c138  r6  ffd87a98  r7  00000036

05-12 20:25:56.362  7615  7615 F DEBUG   :     r8  00000000  r9  efa82464  r10 ffd87aa8  r11 ffd87a98

05-12 20:25:56.362  7615  7615 F DEBUG   :     ip  00000100  sp  ffd879d0  lr  f00ca2cb  pc  f00fc5a8

05-12 20:25:56.362  7615  7615 F DEBUG   : backtrace:

05-12 20:25:56.362  7615  7615 F DEBUG   :       #00 pc 000715a8  /apex/com.android.runtime/lib/bionic/libc.so (_ioctl+8) (BuildId: cc194ef76ee932851b23cc2e4f46d55f)

05-12 20:25:56.362  7615  7615 F DEBUG   :       #01 pc 0003f2c7  /apex/com.android.runtime/lib/bionic/libc.so (ioctl+26) (BuildId: cc194ef76ee932851b23cc2e4f46d55f)

05-12 20:25:56.362  7615  7615 F DEBUG   :       #02 pc 0005ff09  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::IPCThreadState::getAndExecuteCommand()+160) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

05-12 20:25:56.362  7615  7615 F DEBUG   :       #03 pc 0006100d  /apex/com.android.vndk.v30/lib/libhidlbase.so

(android::hardware::IPCThreadState::joinThreadPool(bool)+56) (BuildId: ae84f31d0a55afdbe06ed13729dae8a2)

05-12 20:25:56.362  7615  7615 F DEBUG   :       #04 pc 000026b5  /vendor/bin/hw/android.hardware.audio.service (main+2564) (BuildId:

b5ba2845ffd2ad1c80c85239344b8c71)

05-12 20:25:56.362  7615  7615 F DEBUG   :       #05 pc 0003248b  /apex/com.android.runtime/lib/bionic/libc.so (_libc_init+54) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

05-12 20:25:56.978  7115  7132 F libc    : Fatal signal 6 (SIGABRT), code 1 (SI_QUEUE) in tid 7132 (TimeCheckThread), pid 7115 (audioserver)

05-12 20:25:57.503  7625  7625 F DEBUG   : 

05-12 20:25:57.503  7625  7625 F DEBUG   : Build fingerprint:

'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/eng.thunde.20230512.194034:userdebug/test-keys'

05-12 20:25:57.503  7625  7625 F DEBUG   : Revision: '0'

05-12 20:25:57.503  7625  7625 F DEBUG   : ABI: 'arm64'

05-12 20:25:57.503  7625  7625 F DEBUG   : Timestamp: 2023-05-12 20:25:57.084546947+0800

05-12 20:25:57.503  7625  7625 F DEBUG   : Process uptime: 0s
05-12 20:25:57.503  7625  7625 F DEBUG   : Cmdline: /system/bin/audioserver

05-12 20:25:57.503  7625  7625 F DEBUG   : pid: 7115, tid: 7132, name: TimeCheckThread  >>> /system/bin/audioserver <<<

05-12 20:25:57.503  7625  7625 F DEBUG   : uid: 1041

05-12 20:25:57.503  7625  7625 F DEBUG   : signal 6 (SIGABRT), code -1 (SI_QUEUE), fault addr -------

05-12 20:25:57.503  7625  7625 F DEBUG   : Abort message: 'TimeCheck timeout for IAudioPolicyService command 5'

05-12 20:25:57.503  7625  7625 F DEBUG   :     x0  0000000000000000  x1  0000000000001bdc  x2  0000000000000006  x3  00000076773f4530

05-12 20:25:57.503  7625  7625 F DEBUG   :     x4  686b6e4f6e686374  x5  686b6e4f6e686374  x6  686b6e4f6e686374  x7  7f7f7f7f7f7f7f7f

05-12 20:25:57.503  7625  7625 F DEBUG   :     x8  00000000000000f0  x9  009afe5eadf4935c  x10 0000000000000000  x11 ffffff80ffffffdf

05-12 20:25:57.503  7625  7625 F DEBUG   :     x12 0000000000000001  x13 0000000000000034  x14 00000076773f46c0  x15 0000000034155555

05-12 20:25:57.503  7625  7625 F DEBUG   :     x16 00000079b6430060  x17 00000079b640c560  x18 000000767675a000  x19 0000000000001bcb

05-12 20:25:57.503  7625  7625 F DEBUG   :     x20 0000000000001bdc  x21 00000000ffffffff  x22 b4000076bf4e7c10  x23 b40000769f4dacb4

05-12 20:25:57.503  7625  7625 F DEBUG   :     x24 b40000769f4dacb4  x25 00000076773f4cb0  x26 00000076773f4ff8  x27 00000000000fc000

05-12 20:25:57.503  7625  7625 F DEBUG   :     x28 00000076772fc000  x29 00000076773f45b0

05-12 20:25:57.503  7625  7625 F DEBUG   :     lr  00000079b63bc95c  sp  00000076773f4510  pc  00000079b63bc988  pst 0000000000001000

05-12 20:25:57.503  7625  7625 F DEBUG   : backtrace:

05-12 20:25:57.503  7625  7625 F DEBUG   :       #00 pc 0000000000051988  /apex/com.android.runtime/lib64/bionic/libc.so (abort+168) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-12 20:25:57.503  7625  7625 F DEBUG   :       #01 pc 00000000000063b8  /system/lib64/liblog.so (_android_log_default_aborter+16) (BuildId:

467c2038cdfa767245f9280e657fdb85)

05-12 20:25:57.503  7625  7625 F DEBUG   :       #02 pc 0000000000006f14  /system/lib64/liblog.so (_android_log_assert+312) (BuildId:

467c2038cdfa767245f9280e657fdb85)

05-12 20:25:57.503  7625  7625 F DEBUG   :       #03 pc 0000000000035294  /system/lib64/libmediautils.so (android::TimeCheck::TimeCheckThread::threadLoop()+908)

(BuildId: d1ac2ddd5dabaddcca37691821970832)

05-12 20:25:57.503  7625  7625 F DEBUG   :       #04 pc 0000000000013654  /system/lib64/libutils.so (android::Thread::_threadLoop(void)+464) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-12 20:25:57.503  7625  7625 F DEBUG   :       #05 pc 0000000000012de8  /system/lib64/libutils.so (thread_data_t::trampoline(thread_data_t const*)+408) (BuildId:

b940f836006eead456c936e97e64d2d4)

05-12 20:25:57.503  7625  7625 F DEBUG   :       #06 pc 00000000000b6a24  /apex/com.android.runtime/lib64/bionic/libc.so (_pthread_start(void*)+264) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

05-12 20:25:57.504  7625  7625 F DEBUG   :       #07 pc 00000000000532bc  /apex/com.android.runtime/lib64/bionic/libc.so (_start_thread+68) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

■ Next action

测试连接中控验证问题。

#14 - 2023-05-16 13:50 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

■ Current conclusion

根据测试反馈，在副屏连接上中控后，使用问题复现路径进行验证，未出现相应问题。故该问题无需处理。

■ Next action

测试确认。

#15 - 2023-05-16 19:07 - 物联网测试组_CDTS  唐霞 

- Status changed from NEED_INFO to RESOLVED

连接中控的情况下，无该问题
#16 - 2023-05-16 19:07 - 物联网测试组_CDTS  唐霞 

使用中控测试无该问题，关闭问题单

#17 - 2023-05-16 19:08 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

#18 - 2023-05-16 19:08 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

控制中心显示慢.mp4 15.1 MB 2023-04-14 物联网测试组_CDTS  唐霞 

414-aaaa.log 3.4 MB 2023-04-14 物联网测试组_CDTS  唐霞 

息屏点亮后控制中心显示慢.mp4 3.87 MB 2023-04-14 物联网测试组_CDTS  唐霞 

0512-34log.txt 4.81 MB 2023-05-12 物联网测试组_CDTS  唐霞 

anr.rar 1.27 MB 2023-05-12 物联网测试组_CDTS  唐霞 
